Go to the latest version of this document.

# ``twisted`.`trial`.`_dist`.`workertrial``

module documentation
(source)

Implementation of `AMP` worker commands, and main executable entry point for the workers.

Present Since
12.3

Class | `WorkerLogObserver` | A log observer that forward its output to a `AMP` protocol.
Function | `main` | Main function to be run if __name__ == "__main__".

def main(_fdopen=os.fdopen): (source)

Main function to be run if __name__ == "__main__".

Parameters
_fdopen:`callable` | If specified, the function to use in place of `os.fdopen`.